Storm docs logo
Search the docs.../
Explore Storm Products

Set Published

Request to set publish status of the stream.

Request

PropertyValue
MethodPATCH
URLhttps://api.stormstreaming.com/api/request/stream/{stream_key}/set-published
Authenticationx-api-key

URL Parameters:

ParameterDescription
{stream_key}The stream key of the stream you wish to modify
Request
Code iconbash
curl -X PATCH "https://api.stormstreaming.com/api/request/stream/{stream_key}/set-published" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "isPublished": 1
  }'

Request Body

FieldDefaultRequiredValidationDescription
isPublished1NoInt 0/1Decides if stream is published. The maximum number of simultaneously published streams is defined by your subscription plan. 0 = not published, 1 = published
Request Body
Code iconjson
{
  "isPublished": 1
}

Response

ParameterTypeDescription
messagestringResponse status message
Successful Response (200)
Code iconjson
{
  "message": "Stream has been updated."
}
Support Needed?

Create a free ticket and our support team will provide you necessary assistance.

Blog
Support
About us
Patents
Term of use
Privacy policy
Contact
©2026 Storm Streaming Media. All Rights Reserved.